Bug 101460 - rework the pdfimport extension and use more recent Poppler build
Summary: rework the pdfimport extension and use more recent Poppler build
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.2 target:5.2.1
Keywords:
Depends on:
Blocks: PDF-Import-Draw
  Show dependency treegraph
 
Reported: 2016-08-11 20:33 UTC by V Stuart Foote
Modified: 2020-04-13 03:25 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-08-11 20:33:57 UTC
The pdfimport extension was implemented in the xpdf era, any chance that the fidelity of the import filter can be improved by making more use of current Poppler provided libraries and helpers? Seems like Poppler has moved the mark quite a bit looking at results that Evince and Okular have with it.

At the least, our Poppler external package was last revised to 0.26.4, Aug 2014 (with commit 686ea7add8f6d56fbc741bda0107603d8cefc9b3) while the current Poppler release is at 0.46 (Jul 2016) probably would benefit from refresh.

Of note is work in current Poppler release 0.46 to fix https://bugs.freedesktop.org/show_bug.cgi?id=96994 -- "pdftocairo pdf/ps output broken when glyph in non-embedded type 1 font can not be mapped" which seems could help with our bug 101220 and similar font/glyph issues.
Comment 1 Caolán McNamara 2016-08-12 14:25:52 UTC
The bundled one is definitely far from the latest. For distros like Fedora we're building against 0.41.0 at the moment, so its known to build against at least that. And we haven't any specific complaints so I guess its worth updating the bundled one too.
Comment 2 Caolán McNamara 2016-08-12 14:39:33 UTC
https://gerrit.libreoffice.org/#/c/28087/ for a first stab at this
Comment 3 Commit Notification 2016-08-14 15:23:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10290000117b562e3f179c3d1073774dd54cdfee

Resolves: tdf#101460 use most recent poppler release

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 V Stuart Foote 2016-08-21 14:06:21 UTC
@Caolan, thanks for pushing in the new poppler

Works well in a recent master (build 932804559e845fb8ec6ac3a3b49308136a7e81e6)

Unfortunately that alone does not get us too far with improving fidelity of the pdfimport filter. The pdfimport filter needs work to put it on a par with FOSS rendering results Evince or Okular

Also, seems like some of the poppler helper utilities could be used to extract document details (pdfinfo, pdffont) or maybe to write image directly to a LO canvas (pdftocairo).  But those would need UI work and probably deep refactoring of the pdfimport filter to make use the libpoppler implementations.

Guess those facets will each need BZ issue tied to bug 99746
Comment 5 Commit Notification 2016-08-24 20:31:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92986a1d516195ed73ad2036ee0647a54baf84b6&h=libreoffice-5-2

Resolves: tdf#101460 use most recent poppler release

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-08-24 23:42:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d26fb60f2f66d95d806696dfbb75b907ea3e82ed&h=libreoffice-5-2-1

Resolves: tdf#101460 use most recent poppler release

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.